> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Insert/Update a list of User Profiles on the EC.

POST https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/{chain}
Content-Type: application/json

Only supported when Masterdata is distributed by the EC.

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/user-profiles/ecstg

## Request

### Path parameters

- `chain` (integer, required) — The Id of the Chain

### Body (application/json)

This endpoint expects an userProfiles.

- `userProfiles` (list of UserProfilesUserProfilesItems, required)

## Response

### 202

Accepted

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### UserProfilesUserProfilesItems

- `userProfileId` (integer, required) — Unique identifier for the cashier profile
- `name` (string, required) — Descriptive name of the cashier profile
- `paymentMethodId` (integer, required) — Identifier for the payment method
- `maxPayoutPerTransaction` (double, required) — Maximum amount allowed per payout
- `maxTotalPayout` (double, required) — Maximum cumulative payout allowed
- `minTimeBetweenPayouts` (integer, required) — Minimum time (in minutes) between two payouts
- `maxTotalDebt` (double, required) — Maximum allowed total debt
- `cashDifferenceLimits` (list of integer, required) — Cash drawer difference limits (in steps)
- `denominations` (list of UserProfilesUserProfilesItemsDenominationsItems, required) — A breakdown of coins and notes (denominations) along with their respective quantities and amounts. This represents the starting balance of a user profile, detailing the denominations that comprise the initial balance.

### UserProfilesUserProfilesItemsDenominationsItems

- `unitValue` (double, required) — Unit value (max 6 digits, 2 decimals) of the denomination. (e.g. 20.00)
- `type` (enum, required) — Whether the denomination is a coin or note or undefined. 0=Not Defined, 1=Coin, 2=Note
  - Allowed values: `0`, `1`, `2`
- `quantity` (integer, required) — Count of the denomination in drawer

## Examples

**Request**

```json
{
  "userProfiles": [
    {
      "userProfileId": 1,
      "name": "Standard Cashier",
      "paymentMethodId": 101,
      "maxPayoutPerTransaction": 5000,
      "maxTotalPayout": 20000,
      "minTimeBetweenPayouts": 15,
      "maxTotalDebt": 10000,
      "cashDifferenceLimits": [
        50,
        100,
        200,
        300
      ],
      "denominations": [
        {
          "unitValue": 0.1,
          "type": 1,
          "quantity": 20
        },
        {
          "unitValue": 1,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 10,
          "type": 2,
          "quantity": 15
        },
        {
          "unitValue": 50,
          "type": 2,
          "quantity": 10
        }
      ]
    },
    {
      "userProfileId": 2,
      "name": "Senior Cashier",
      "paymentMethodId": 202,
      "maxPayoutPerTransaction": 10000,
      "maxTotalPayout": 50000,
      "minTimeBetweenPayouts": 10,
      "maxTotalDebt": 20000,
      "cashDifferenceLimits": [
        10,
        25,
        50
      ],
      "denominations": [
        {
          "unitValue": 0.5,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 2,
          "type": 1,
          "quantity": 5
        },
        {
          "unitValue": 20,
          "type": 2,
          "quantity": 10
        },
        {
          "unitValue": 100,
          "type": 2,
          "quantity": 10
        }
      ]
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python UserProfiles_ECSTG_example
import requests

url = "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1"

payload = { "userProfiles": [
        {
            "userProfileId": 1,
            "name": "Standard Cashier",
            "paymentMethodId": 101,
            "maxPayoutPerTransaction": 5000,
            "maxTotalPayout": 20000,
            "minTimeBetweenPayouts": 15,
            "maxTotalDebt": 10000,
            "cashDifferenceLimits": [50, 100, 200, 300],
            "denominations": [
                {
                    "unitValue": 0.1,
                    "type": 1,
                    "quantity": 20
                },
                {
                    "unitValue": 1,
                    "type": 1,
                    "quantity": 10
                },
                {
                    "unitValue": 10,
                    "type": 2,
                    "quantity": 15
                },
                {
                    "unitValue": 50,
                    "type": 2,
                    "quantity": 10
                }
            ]
        },
        {
            "userProfileId": 2,
            "name": "Senior Cashier",
            "paymentMethodId": 202,
            "maxPayoutPerTransaction": 10000,
            "maxTotalPayout": 50000,
            "minTimeBetweenPayouts": 10,
            "maxTotalDebt": 20000,
            "cashDifferenceLimits": [10, 25, 50],
            "denominations": [
                {
                    "unitValue": 0.5,
                    "type": 1,
                    "quantity": 10
                },
                {
                    "unitValue": 2,
                    "type": 1,
                    "quantity": 5
                },
                {
                    "unitValue": 20,
                    "type": 2,
                    "quantity": 10
                },
                {
                    "unitValue": 100,
                    "type": 2,
                    "quantity": 10
                }
            ]
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript UserProfiles_ECSTG_example
const url = 'https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"userProfiles":[{"userProfileId":1,"name":"Standard Cashier","paymentMethodId":101,"maxPayoutPerTransaction":5000,"maxTotalPayout":20000,"minTimeBetweenPayouts":15,"maxTotalDebt":10000,"cashDifferenceLimits":[50,100,200,300],"denominations":[{"unitValue":0.1,"type":1,"quantity":20},{"unitValue":1,"type":1,"quantity":10},{"unitValue":10,"type":2,"quantity":15},{"unitValue":50,"type":2,"quantity":10}]},{"userProfileId":2,"name":"Senior Cashier","paymentMethodId":202,"maxPayoutPerTransaction":10000,"maxTotalPayout":50000,"minTimeBetweenPayouts":10,"maxTotalDebt":20000,"cashDifferenceLimits":[10,25,50],"denominations":[{"unitValue":0.5,"type":1,"quantity":10},{"unitValue":2,"type":1,"quantity":5},{"unitValue":20,"type":2,"quantity":10},{"unitValue":100,"type":2,"quantity":10}]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go UserProfiles_ECSTG_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1"

	payload := strings.NewReader("{\n  \"userProfiles\": [\n    {\n      \"userProfileId\": 1,\n      \"name\": \"Standard Cashier\",\n      \"paymentMethodId\": 101,\n      \"maxPayoutPerTransaction\": 5000,\n      \"maxTotalPayout\": 20000,\n      \"minTimeBetweenPayouts\": 15,\n      \"maxTotalDebt\": 10000,\n      \"cashDifferenceLimits\": [\n        50,\n        100,\n        200,\n        300\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.1,\n          \"type\": 1,\n          \"quantity\": 20\n        },\n        {\n          \"unitValue\": 1,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 10,\n          \"type\": 2,\n          \"quantity\": 15\n        },\n        {\n          \"unitValue\": 50,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    },\n    {\n      \"userProfileId\": 2,\n      \"name\": \"Senior Cashier\",\n      \"paymentMethodId\": 202,\n      \"maxPayoutPerTransaction\": 10000,\n      \"maxTotalPayout\": 50000,\n      \"minTimeBetweenPayouts\": 10,\n      \"maxTotalDebt\": 20000,\n      \"cashDifferenceLimits\": [\n        10,\n        25,\n        50\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.5,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 2,\n          \"type\": 1,\n          \"quantity\": 5\n        },\n        {\n          \"unitValue\": 20,\n          \"type\": 2,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 100,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby UserProfiles_ECSTG_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"userProfiles\": [\n    {\n      \"userProfileId\": 1,\n      \"name\": \"Standard Cashier\",\n      \"paymentMethodId\": 101,\n      \"maxPayoutPerTransaction\": 5000,\n      \"maxTotalPayout\": 20000,\n      \"minTimeBetweenPayouts\": 15,\n      \"maxTotalDebt\": 10000,\n      \"cashDifferenceLimits\": [\n        50,\n        100,\n        200,\n        300\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.1,\n          \"type\": 1,\n          \"quantity\": 20\n        },\n        {\n          \"unitValue\": 1,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 10,\n          \"type\": 2,\n          \"quantity\": 15\n        },\n        {\n          \"unitValue\": 50,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    },\n    {\n      \"userProfileId\": 2,\n      \"name\": \"Senior Cashier\",\n      \"paymentMethodId\": 202,\n      \"maxPayoutPerTransaction\": 10000,\n      \"maxTotalPayout\": 50000,\n      \"minTimeBetweenPayouts\": 10,\n      \"maxTotalDebt\": 20000,\n      \"cashDifferenceLimits\": [\n        10,\n        25,\n        50\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.5,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 2,\n          \"type\": 1,\n          \"quantity\": 5\n        },\n        {\n          \"unitValue\": 20,\n          \"type\": 2,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 100,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java UserProfiles_ECSTG_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1")
  .header("Content-Type", "application/json")
  .body("{\n  \"userProfiles\": [\n    {\n      \"userProfileId\": 1,\n      \"name\": \"Standard Cashier\",\n      \"paymentMethodId\": 101,\n      \"maxPayoutPerTransaction\": 5000,\n      \"maxTotalPayout\": 20000,\n      \"minTimeBetweenPayouts\": 15,\n      \"maxTotalDebt\": 10000,\n      \"cashDifferenceLimits\": [\n        50,\n        100,\n        200,\n        300\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.1,\n          \"type\": 1,\n          \"quantity\": 20\n        },\n        {\n          \"unitValue\": 1,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 10,\n          \"type\": 2,\n          \"quantity\": 15\n        },\n        {\n          \"unitValue\": 50,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    },\n    {\n      \"userProfileId\": 2,\n      \"name\": \"Senior Cashier\",\n      \"paymentMethodId\": 202,\n      \"maxPayoutPerTransaction\": 10000,\n      \"maxTotalPayout\": 50000,\n      \"minTimeBetweenPayouts\": 10,\n      \"maxTotalDebt\": 20000,\n      \"cashDifferenceLimits\": [\n        10,\n        25,\n        50\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.5,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 2,\n          \"type\": 1,\n          \"quantity\": 5\n        },\n        {\n          \"unitValue\": 20,\n          \"type\": 2,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 100,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php UserProfiles_ECSTG_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1', [
  'body' => '{
  "userProfiles": [
    {
      "userProfileId": 1,
      "name": "Standard Cashier",
      "paymentMethodId": 101,
      "maxPayoutPerTransaction": 5000,
      "maxTotalPayout": 20000,
      "minTimeBetweenPayouts": 15,
      "maxTotalDebt": 10000,
      "cashDifferenceLimits": [
        50,
        100,
        200,
        300
      ],
      "denominations": [
        {
          "unitValue": 0.1,
          "type": 1,
          "quantity": 20
        },
        {
          "unitValue": 1,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 10,
          "type": 2,
          "quantity": 15
        },
        {
          "unitValue": 50,
          "type": 2,
          "quantity": 10
        }
      ]
    },
    {
      "userProfileId": 2,
      "name": "Senior Cashier",
      "paymentMethodId": 202,
      "maxPayoutPerTransaction": 10000,
      "maxTotalPayout": 50000,
      "minTimeBetweenPayouts": 10,
      "maxTotalDebt": 20000,
      "cashDifferenceLimits": [
        10,
        25,
        50
      ],
      "denominations": [
        {
          "unitValue": 0.5,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 2,
          "type": 1,
          "quantity": 5
        },
        {
          "unitValue": 20,
          "type": 2,
          "quantity": 10
        },
        {
          "unitValue": 100,
          "type": 2,
          "quantity": 10
        }
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp UserProfiles_ECSTG_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"userProfiles\": [\n    {\n      \"userProfileId\": 1,\n      \"name\": \"Standard Cashier\",\n      \"paymentMethodId\": 101,\n      \"maxPayoutPerTransaction\": 5000,\n      \"maxTotalPayout\": 20000,\n      \"minTimeBetweenPayouts\": 15,\n      \"maxTotalDebt\": 10000,\n      \"cashDifferenceLimits\": [\n        50,\n        100,\n        200,\n        300\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.1,\n          \"type\": 1,\n          \"quantity\": 20\n        },\n        {\n          \"unitValue\": 1,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 10,\n          \"type\": 2,\n          \"quantity\": 15\n        },\n        {\n          \"unitValue\": 50,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    },\n    {\n      \"userProfileId\": 2,\n      \"name\": \"Senior Cashier\",\n      \"paymentMethodId\": 202,\n      \"maxPayoutPerTransaction\": 10000,\n      \"maxTotalPayout\": 50000,\n      \"minTimeBetweenPayouts\": 10,\n      \"maxTotalDebt\": 20000,\n      \"cashDifferenceLimits\": [\n        10,\n        25,\n        50\n      ],\n      \"denominations\": [\n        {\n          \"unitValue\": 0.5,\n          \"type\": 1,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 2,\n          \"type\": 1,\n          \"quantity\": 5\n        },\n        {\n          \"unitValue\": 20,\n          \"type\": 2,\n          \"quantity\": 10\n        },\n        {\n          \"unitValue\": 100,\n          \"type\": 2,\n          \"quantity\": 10\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift UserProfiles_ECSTG_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["userProfiles": [
    [
      "userProfileId": 1,
      "name": "Standard Cashier",
      "paymentMethodId": 101,
      "maxPayoutPerTransaction": 5000,
      "maxTotalPayout": 20000,
      "minTimeBetweenPayouts": 15,
      "maxTotalDebt": 10000,
      "cashDifferenceLimits": [50, 100, 200, 300],
      "denominations": [
        [
          "unitValue": 0.1,
          "type": 1,
          "quantity": 20
        ],
        [
          "unitValue": 1,
          "type": 1,
          "quantity": 10
        ],
        [
          "unitValue": 10,
          "type": 2,
          "quantity": 15
        ],
        [
          "unitValue": 50,
          "type": 2,
          "quantity": 10
        ]
      ]
    ],
    [
      "userProfileId": 2,
      "name": "Senior Cashier",
      "paymentMethodId": 202,
      "maxPayoutPerTransaction": 10000,
      "maxTotalPayout": 50000,
      "minTimeBetweenPayouts": 10,
      "maxTotalDebt": 20000,
      "cashDifferenceLimits": [10, 25, 50],
      "denominations": [
        [
          "unitValue": 0.5,
          "type": 1,
          "quantity": 10
        ],
        [
          "unitValue": 2,
          "type": 1,
          "quantity": 5
        ],
        [
          "unitValue": 20,
          "type": 2,
          "quantity": 10
        ],
        [
          "unitValue": 100,
          "type": 2,
          "quantity": 10
        ]
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```